clear all
set more off
set scheme s1mono


// linear probability model
use "whalesdata", clear
reg PayConserve i.foreign i.highered Age i.Gender Income_AUD AdultWhales i.YoungWhales, vce(robust)


// logit and probit
logit PayConserve i.foreign i.highered Age Income_AUD AdultWhales i.YoungWhales 

probit PayConserve i.foreign i.highered Age Income_AUD AdultWhales i.YoungWhales 


// logit and probit marginal effects
quietly probit PayConserve i.foreign i.highered Age Income_AUD AdultWhales  
margins, dydx(foreign highered Income_AUD)  
//margins, dydx(foreign highered Income_AUD) atmeans

quietly logit PayConserve i.foreign i.highered Age Income_AUD AdultWhales i.YoungWhales
margins , dydx(foreign highered Income_AUD)  
//margins , dydx(foreign highered Income_AUD) atmeans

logit, or

//su PayConserve, mean
//estat classification, cutoff(`r(mean)')
estat classification

lsens, scheme(s1mono) ylabel(,angle(0)) msymbol(none none)  lc(black gray) 



