// second generatation unit root tests

set more off
clear all

// use - mkespline - for the breaks
use "logpercapitaco2.dta", clear
tsset year
mkspline t1 1912 t2 1978 t3=year 
regress co2_usa t1 t2 t3
predict double that, xb
predict double uhat, residual

twoway (tsline co2_usa) (tsline that, lc(gray)), ///
		legend(off) xline(1912, lp(dash)) xline(1978, lp(dash) ) ///
		xtitle("") ylabel(,angle(0))
	

dfgls uhat, maxlag(1) 


/* -------------------------------------------------------------------------- */
// one unknown breakpoint

use "logpercapitaco2.dta", clear
tsset year
clemao1 co2_usa , maxlag(1)  trim(0.10)
clemio1 co2_usa , maxlag(1)  trim(0.10)


/* -------------------------------------------------------------------------- */
// two unknown breakpoints

clemao2 co2_usa, maxlag(1) trim(0.10) graph
clemio2 co2_usa, maxlag(1) trim(0.10) 
