clear *
set more off
set scheme s1mono


// single equation cointegration with breaks

use "crushspread", clear
tsset datevec, monthly
ghansen psoy poil pmeal, break(level) lagmethod(aic)
ghansen psoy poil pmeal, break(trend) lagmethod(aic)

generate DU = 0
replace DU = 1 if datevec >= tm(1997m7)
generate t  = _n
generate Dt = t*DU
regress psoy poil pmeal t Dt 

predict double uhat, resid


twoway 	(tsline uhat , lcolor(black) lwidth(medium)), ///
		tlabel(, format(%tmCCYY))  xtitle(" ") /// 
		ylabel(, angle(0)) ytitle("{c S|}US per metric ton") ///
		yline(0) name(resid, replace)

