// crush spread

clear *
set more off
set scheme s1mono

 
// load data
use "crushspread", clear
tsset datevec, monthly


// plots
twoway 	(tsline psoy, lc(black) lw(medium)) ///
		(tsline poil, lp(longdash) lc(black) lw(medium)) ///
		(tsline pmeal, lp(dash) lc(gray) lw(medium)), ///
		tlabel(, format(%tmCCYY))  xtitle("") /// 
		ylabel(, angle(0)) ytitle("{c S|}US per metric ton") ///
		legend(order(1 "Soy" 2 "Oil" 3 "Meal") rows(1)) ///
		name(g1, replace)



// DF-GLS tests
dfuller psoy, lags(1)
dfuller poil, lags(1)
dfuller pmeal, lags(1)
