// simulating error correction

clear *
set more off
set scheme s1mono

set seed 123457 


set obs 100  

// make time series
gen t = _n  
    


// parameters
sca delta1 = 0.0
sca delta2 = 0.0
sca alpha1 = -0.05
sca alpha2 =  0.05
sca beta0  = 0.5
sca beta1   = 1 


// Simulate the model   

qui gen y = 100 in 1
qui gen x = 110 in 1 

forvalues i = 2/100 {
	qui replace y  = y[`i'-1] + delta1 + alpha1*( y[`i'-1] - beta0 - beta1*x[`i'-1] )  in `i'
	qui replace x  = x[`i'-1] + delta2 + alpha2*( y[`i'-1] - beta0 - beta1*x[`i'-1] )  in `i'
}


twoway (line y t) (line x t)
