clear *

// ----------------------
// map behavior

//load Borsky and Raschky (2015) data
use "spatialfish_small.dta", clear

xtset, clear

ren countrycode GU_A3

keep GU_A3 behavior
save temp, replace 

// load .dta file made from .shp file
spshape2dta ne_110m_admin_0_countries.shp, saving(world) replace
use "world.dta", clear


// merge on STUSPS
merge 1:1 GU_A3 using "temp.dta"
//keep if _merge==3
drop _merge


grmap behavior, fcolor(gs5) clnumber(3) title("Illustrating measures of compliance")


 
// ----------------------
// now map intention

//load Borsky and Raschky (2015) data
use "spatialfish_small.dta", clear

xtset, clear

ren countrycode GU_A3

keep GU_A3 intention
save temp, replace 

// load .dta file made from .shp file
spshape2dta ne_110m_admin_0_countries.shp, saving(world) replace
use "world.dta", clear


// merge on STUSPS
merge 1:1 GU_A3 using "temp.dta"
//keep if _merge==3
drop _merge

grmap intention, fcolor(gray) clnumber(3)  title("Illustrating measures of compliance")

rm "temp.dta"
