clear *

// load Keller and Levinson data (fixed 20mar2020 cfb)
use "phh_fix", clear
 
xtset, clear

// collapse data to averages
collapse (mean) fdi_chem, by(STUSPS)
save temp, replace

// load .dta file made from .shp file
use "cb_2017_us_state_20m.dta", clear


// merge on STUSPS 
merge 1:1 STUSPS using "temp.dta"
keep if _merge==3
drop _merge

// map fdi
grmap fdi_chem, fcolor(gs8) clnumber(3) title("FDI in chemical industry by state")
graph save gr1, replace
 
// ----------------------
// now map abatement costs

// load Keller and Levinson data (fixed 20mar2020 cfb)
use "phh", clear

xtset, clear

// abatement costs
//gen lrac = log(rac)
 
// collapse data to averages
collapse (mean) lrac, by(STUSPS)
save temp, replace 
 
// load .dta file made from .shp file
use "cb_2017_us_state_20m.dta", clear
 
 
// merge on STUSPS
merge 1:1 STUSPS using "temp.dta"
keep if _merge==3
drop _merge
 
// map lrac
grmap lrac, fcolor(gs8) clnumber(3)  title("Pollution abatement costs by state")
graph save gr2, replace

graph combine gr1.gph gr2.gph, rows(2) scheme(s1mono)

