// plots of temp and sea level

set more off
set scheme s1mono

// load data
use "fractionalcointegration.dta", clear

// make annual data
gen year = yofd(dofm(datevec))
collapse Sea Temp, by(year)
tsset year, yearly

replace Sea = Sea/10  // define in cm 


//plots
twoway (tsline Sea), title("Global mean annual sea level", size(medsmall)) ///
	name(sea, replace) ytitle("Centimeters above 1990 mean") xtitle("") ///
	ylabel(, angle(0)) tlabel(1880 1900 1920 1940 1960 1980 2000)

twoway (tsline Temp), title("Global mean annual temperature", size(medsmall)) ///
	name(temp, replace) ytitle("Celsius") xtitle("") ///
	ylabel(,format(%3.1f) angle(0)) tlabel(1880 1900 1920 1940 1960 1980 2000)

graph combine sea temp, imargin(tiny) cols(1)
	
