set more off
set scheme s1mono

use "fci", clear
ucm Temp, model(llevel) nolog



capt drop trend
predict trend, tr smethod(smooth)

twoway (tsline trend, lc(gray) lw(thick)) (tsline Temp, lw(medthin) lc(black)), ///
	title("Local level model", size(small)) ///
	ytitle("Temperature") ylabel(, angle(0)) ///
	xtitle("") tlabel(1880(20)2000)  ///
	legend(off) 

	

predict double irregular, rstandard

hist irregular, start(-3) bin(17) normal fc(none)  normopts(lc(gray)) ///
	ylabel(,angle(0)) xtitle("")



// estimate cycle 

ucm Temp, model(llevel) cycle(1) iterate(20) nolog vsquish

estat period


capture drop chat1  
predict chat1, cycle smethod(smooth)
twoway (tsline chat1, lcolor(black)), ///
	title("Estimated cycle", size(small)) ///
	ytitle("Cyclical component") ylabel(,angle(0)) ///
	xtitle("") tlabel(1880(20)2000) yline(0)
	
