*! v23  cfb/sh 14jun2018
capt program drop v23
prog v23, rclass
	
	version 16
	syntax varname(numeric ts) [if] [in] [, LAG(integer 1)]

	tempname F2 F3 F23 V2p V3p V23p

	marksample touse
	_ts timevar panelvar `if' `in', sort onepanel
	markout `touse' `timevar'

	di as res _n "H0: linear specification of `varlist' = AR(`lag') "
	return local  depvar  `varlist'
	return scalar lags  = `lag'

	// put lags of dependent variable in a local and build test regression
	loc term c.L(1/`lag').`varlist' 
	qui reg `varlist' `term' `term'#`term' `term'#`term'#`term' if `touse'


	// test second order cross products
	qui testparm `term'#`term'
	sca `F2' = `r(F)'
	sca `V2p' = `r(p)'
	di as res _n "Second Order Cross Products: " _col(20) "F(`r(df)',`r(df_r)') = " %8.2f ///
	`F2' " (p = " %6.4f `V2p' ")"
	return scalar V2   = `F2'
	return scalar V2p  = `V2p' 


	// test third order cross products
	qui testparm `term'#`term'#`term'
	sca `F3' = `r(F)'
	sca `V3p' = `r(p)'
	di as res "Third Order Cross Products:  " _col(20) "F(`r(df)',`r(df_r)') = " %8.2f ///
	`F3' " (p = " %6.4f `V3p' ")"
	return scalar V3   = `F3'
	return scalar V3p  = `V3p' 


	// overall test
	qui testparm `term'#`term' `term'#`term'#`term'
	sca `F23' = `r(F)'
	sca `V23p' = `r(p)'
	di as res "V23 Test: " _col(30) "F(`r(df)',`r(df_r)') = " %8.2f ///
	`F23' " (p = " %6.4f `V23p' ")"
	return scalar V23  = `F23'
	return scalar V23p = `V23p' 
	
end

